gauge
区分
JVN番号
タイトル
JVN
深刻度
最終更新日
CVE番号
New
JVNDB-2005-000584

BEA 製品において weblogic.Deployer コマンドを t3 プロトコルで管理サーバに送信可能な脆弱性

7.6
2007/04/01 00:00
CVE-2005-4765

JVNDB-2005-000584

BEA 製品において weblogic.Deployer コマンドを t3 プロトコルで管理サーバに送信可能な脆弱性
概要
------------ 本脆弱性情報は、同時期に公開された複数の脆弱性について、まとめて解説したものです。タイトル以外の他の脆弱性情報の内容が含まれていますので予めご了承ください。 ------------ BEA WebLogic Server 7.0 SP6 以前、8.1 SP4 以前には、以下のような複数のセキュリティ問題が存在します。 1) デプロイされたアプリケーションの権限が、デプロイメント記述子の run-as 要素を使用することで Deployer セキュリティロールから Admin セキュリティロールに変更されてしまう問題が存在します。(BEA05-88.00) ローカルの攻撃者に悪用された場合、本来許可されていない処理を行うアプリーケーションが実行される可能性があります。 2) 高負荷状態において、監査イベントが不正な重大度で記録されてしまう問題が存在します。(BEA05-89.00) 監査機能を有効にしている場合、重要な監査イベントにも関わらずフィルタリングされてしまい、イベントを見落としてしまう可能性があります。 3) 管理サーバにおいて管理ポートが有効である場合においても、通信が保護される t3s プロトコルの代わりに、t3 プロトコルにより weblogic.Deployer コマンドを管理サーバに送信することが可能であるため、第三者に盗聴されてしまう問題が存在します。(BEA05-102.00) リモートの攻撃者に悪用された場合、管理用のユーザ名やパスワードなど重要な情報が取得されてしまう可能性があります。 4) サーブレットの Relative forwarding の処理が不適切であるため、処理がループしスタックオーバフローが発生する問題が存在します。(BEA05-106.00) リモートの攻撃者に悪用された場合、WebLogic Server の処理能力が低下しサービス不能状態に陥る可能性があります。
想定される影響と対策
本脆弱性に伴う影響については、「概要」をご参照ください。
JVNDB-2005-000584は、ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
JVN情報 ※( )内はCVSS v3の値
深刻度7.6N/A
CVECVE-2005-4765
公表日2005/10/10 00:00
登録日2007/04/01 00:00
更新日2007/04/01 00:00
CVSS v2情報
全ての情報を閲覧するにはユーザー登録(無料)またはログインが必要です。